Get a Subscription by ID
curl --request GET \
--url https://api.hel.io/v1/subscriptions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/subscriptions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "67a0d2ea18c700e1cda9f1b8",
"status": "ACTIVE",
"email": "test@hel.io",
"renewalDate": "2025-03-03T00:00:00.000Z",
"createdAt": "2025-02-03T14:30:02.287Z",
"transactions": [
{
"id": "67a0d2e318c700e1cda9f09d",
"paylinkId": "67a0d1ed18c700e1cda9ebf6",
"fee": "2000",
"quantity": 1,
"createdAt": "2025-02-03T14:29:55.911Z",
"paymentType": "PAYLINK",
"meta": {
"id": "67a0d2e318c700e1cda9f09b",
"amount": "98000",
"senderPK": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"recipientPK": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"transactionType": "PAYLINK",
"customerDetails": {
"email": "jesse@hel.io",
"discordUser": null
},
"productDetails": null,
"additionalProductDetails": [],
"transactionSignature": "5UtTTc2rph145g6YRCZv5no6dfQBAVfp3Rw4KvQXpBPJ1BBu2F8JJBd7uUGoxVN7GAjjKaDPMb3VynXj4FrUbRv2",
"transactionStatus": "SUCCESS",
"splitRevenue": false,
"remainingAccounts": [],
"totalAmount": "98000",
"totalAmountAsUSD": "98000",
"affiliateAmount": "0",
"tokenQuote": {
"from": "USDC",
"fromAmountDecimal": "0.1",
"to": "USDC",
"toAmountMinimal": "100000"
},
"shopifyPaymentDetails": null,
"submitGeolocation": "GB"
}
}
]
}{
"message": "Api key or token is invalid",
"code": 401
}SUBSCRIPTIONS
Get a Subscription by ID
Retrieve the details of a specific subscription by its ID.
GET
/
v1
/
subscriptions
/
{id}
Get a Subscription by ID
Note: When using the production environment at moonpay.hel.io, set your API endpoint to
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authorizations
Authentication using JWT token
Path Parameters
The ID of the specific subscription. You can retrieve this ID using the /v1/subscriptions endpoint.
Query Parameters
API key can be generated on helio dashboard settings page
⌘I
